
From: Christoph Hellwig <hch@lst.de>

This driver is unloadable for the pci case, but not if vlb cards are found so
we can't use the module_exit removal to lock it into memory.

Replace the MOD_INC_USE_COUNT with __module_get in it's module_init routine.


---

 25-akpm/drivers/video/cyber2000fb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/cyber2000fb.c~replace-mod_inc_use_count-in-cyber2000fb drivers/video/cyber2000fb.c
--- 25/drivers/video/cyber2000fb.c~replace-mod_inc_use_count-in-cyber2000fb	Mon May 17 13:13:16 2004
+++ 25-akpm/drivers/video/cyber2000fb.c	Mon May 17 13:13:16 2004
@@ -1721,7 +1721,7 @@ int __init cyber2000fb_init(void)
 	err = cyberpro_vl_probe();
 	if (!err) {
 		ret = 0;
-		MOD_INC_USE_COUNT;
+		__module_get(THIS_MODULE);
 	}
 #endif
 #ifdef CONFIG_PCI

_
